Subject: Re: bug#3419: 23.0.94; calc, calendar and temp-buffer-resize-mode

From: Juri Linkov <[email-masked]>
Date: Tue, 01 Nov 2011 23:54:43 +0200

> I suppose because `display-buffer-pop-up-window' cannot split the window
> due to `split-height-threshold' being too large.  You really just wanted
> to add (inhibit-same-window . t) somewhere.

Thanks, this works as expected:

(let ((display-buffer-overriding-action '(display-buffer-reuse-window
                                          (inhibit-same-window . t))))
  (with-output-to-temp-buffer "*Help*"
    (princ "GNU Emacs Calculator.\n")))